-Top- -Classes- -Public Operations- -Class Diagrams- -Sequence Diagrams-

_ A B C D E F G H I J K L M N O P R S T U V W ~

Class UmlBaseComponent

Declaration :

- C++ : class UmlBaseComponent : public UmlItem
- Java : abstract class UmlBaseComponent extends UmlItem

Directly inherited by : UmlComponent

Manage the components.

Artifact : UmlBaseComponent

Operation create

Declaration :

- C++ : public: static UmlComponent * create(UmlComponentView * parent, const char * s)
- Java : public static UmlComponent create(UmlComponentView parent, String s) throws RuntimeException

returns a new component named 's' created under 'parent' In case it cannot be created (the name is already used or invalid, 'parent' cannot contain it etc ...) return 0 in C++ and produce a RuntimeException in Java

Operation kind

Declaration :

- C++ : public: virtual anItemKind kind()
- Java : public anItemKind kind()

returns the kind of the item

Operation associatedDiagram

Declaration :

- C++ : public: UmlComponentDiagram * associatedDiagram()
- Java : public UmlComponentDiagram associatedDiagram()

returns the optional associated diagram

Operation set_AssociatedDiagram

Declaration :

- C++ : public: bool set_AssociatedDiagram(UmlComponentDiagram * d)
- Java : public void set_AssociatedDiagram(UmlComponentDiagram d) throws RuntimeException

sets the associated diagram, arg may be null to unset it On error return FALSE in C++, produce a RuntimeException in Java

Operation realizedClasses

Declaration :

- C++ : public: const QVector<UmlClass> & realizedClasses()
- Java : public UmlClass[] realizedClasses()

returns (in Java a copy of) the optional realized classes

Operation providedClasses

Declaration :

- C++ : public: const QVector<UmlClass> & providedClasses()
- Java : public UmlClass[] providedClasses()

returns (in Java a copy of) the optional provided classes

Operation requiredClasses

Declaration :

- C++ : public: const QVector<UmlClass> & requiredClasses()
- Java : public UmlClass[] requiredClasses()

returns (in Java a copy of) the optional required classes

Operation set_AssociatedClasses

Declaration :

- C++ : public: bool set_AssociatedClasses(const QVector<UmlClass> & realized, const QVector<UmlClass> & provided, const QVector<UmlClass> & required)
- Java : public void set_AssociatedClasses(UmlClass[] realized, UmlClass[] provided, UmlClass[] required) throws RuntimeException

set the realized, provided and required classes lists On error return FALSE in C++, produce a RuntimeException in Java

Operation unload

Declaration :

- C++ : public: virtual void unload(bool = FALSE, bool = FALSE)
- Java : public void unload(boolean rec, boolean del)

to unload the object to free memory, it will be reloaded automatically if needed. args unused

Relation _assoc_diagram (<unidirectional association>)

Declaration :

- C++ : private: UmlComponentDiagram * _assoc_diagram
- Java : private UmlComponentDiagram _assoc_diagram

Relation _realized (<unidirectional association>)

Declaration :

- C++ : private: QVector<UmlClass> _realized
- Java : private UmlClass[] _realized

Relation _provided (<unidirectional association>)

Declaration :

- C++ : private: QVector<UmlClass> _provided
- Java : private UmlClass[] _provided

Relation _required (<unidirectional association>)

Declaration :

- C++ : private: QVector<UmlClass> _required
- Java : private UmlClass[] _required

Operation read_uml_

Declaration :

- C++ : protected: virtual void read_uml_()
- Java : protected void read_uml_()

internal, do NOT use it

Operation UmlBaseComponent

Declaration :

- C++ : protected: UmlBaseComponent(void * id, const QCString & n)
- Java : protected UmlBaseComponent(long id, String n)

the constructor, do not call it yourself !!!!!!!!!!

All public operations :

apply , associatedDiagram , children , childrenVisible , create , defined_ , description , identifier_ , isMarked , isToolRunning , isWritable , kind , kind , markedItems , moveAfter , name , parent , properties , propertyValue , providedClasses , realizedClasses , referencedBy , requiredClasses , set_AssociatedClasses , set_AssociatedDiagram , set_childrenVisible , set_Description , set_isMarked , set_Name , set_PropertyValue , set_Stereotype , stereotype , supportFile , unload , unload